Announcement

Collapse
No announcement yet.

"dbghelp.dll is too old" - how to make sure I download and install new one properly

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • "dbghelp.dll is too old" - how to make sure I download and install new one properly

    Hi. I got this prompt for the first time: "dbghelp.dll is too old". What is a safe place to download this dll from and how to install it properly?

  • #2
    sachaweb
    Junior Member
    sachaweb , We apologize for the trouble. This issue you mentioned should be an issue that only exists in our old version of the Foxit application. Please let us know which Foxit application you are using and please go to the "Help" tab>"About Foxit Software" to check its version number. If it is a licensed version, please help to submit a ticket from the Foxit ticket submission center to give us your order information, such as order number, activation code, billing email address, so that we will locate to your order to know which version is the last version that your license could work for.

    Look forward to your reply.

    Comment


    • #3
      i got the same error. can can you share the safe link to download it ?

      coding.fm

      Comment


      • #4
        debrasteed
        Junior Member
        debrasteed May I know which Foxit product encountered the error? and what's version of it? Please provide detailed product info and order info for checking, then I can send correct download link to you. Also, you can download official application from site: https://www.foxit.com/downloads/
        If there is any privacy information included, please create a ticket to us, thanks.

        Comment

        Working...
        X